Name:     wf-recorder
Version:  0.2
Release:  1
Summary:  Screen recorder for wlroots-based compositors eg swaywm
License:  MIT
URL:      https://github.com/ammen99/wf-recorder

# use this to fetch the source: spectool -g wf-recorder.spec
Source0:  https://github.com/ammen99/wf-recorder/archive/v0.2.tar.gz#/%{name}-%{version}.tar.gz

%global debug_package %{nil}

BuildRequires: meson gcc-c++ wayland-devel mesa-libEGL-devel mesa-libGLES-devel mesa-dri-drivers xorg-x11-server-Xwayland libdrm-devel libgbm-devel libxkbcommon-devel libudev-devel pixman-devel libinput-devel libevdev-devel systemd-devel cairo-devel libpcap-devel json-c-devel pam-devel pango-devel pcre-devel gdk-pixbuf2-devel wayland-protocols-devel opencl-headers opencl-utils libwayland-client ffmpeg-devel opencl-utils opencl-headers opencl-filesystem mesa-libOpenCL pulseaudio-libs pulseaudio-libs-devel pulseaudio-utils scdoc

Requires: alsa-lib bzip2-libs cairo cairo-gobject dbus-libs expat ffmpeg-libs flac-libs fontconfig freetype fribidi gdk-pixbuf2 glib2 glibc gmp gnutls graphite2 gsm harfbuzz intel-mediasdk jack-audio-connection-kit keyutils-libs krb5-libs lame-libs libaom libass libasyncns libavdevice libblkid libbluray libcap libcdio libcdio-paranoia libcom_err libcroco libdatrie libdav1d libdrm libffi libgcc libgcrypt libglvnd libglvnd-glx libgomp libgpg-error libICE libidn2 libjpeg-turbo libmount libogg libpng librsvg2 libselinux libSM libsndfile libssh libstdc++ libtasn1 libthai libtheora libunistring libuuid libv4l libva libvdpau libvmaf libvorbis libvpx libwayland-client libX11 libX11-xcb libXau libxcb libXext libXi libxml2 libXrender libXtst lz4-libs nettle numactl-libs ocl-icd openal-soft opencore-amr openjpeg2 openssl-libs opus p11-kit pango pcre2 pcre pixman pugixml pulseaudio-libs SDL2 soxr speex systemd-libs vid.stab vo-amrwbenc x264-libs x265-libs xvidcore xz-libs zimg zlib zvbi

%description
wf-recorder is a utility program for screen recording of wlroots-based
compositors (more specifically, those that support wlr-screencopy-v1
and xdg-output). Its dependencies are ffmpeg, wayland-client and
wayland-protocols.

Make sure you have RPMfusion repo installed:

dnf -y install https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm

%prep
%autosetup

%build
meson build --prefix=%{buildroot}/usr --buildtype=release
ninja -C build
scdoc < manpage/wf-recorder.1.scd | gzip -c > manpage/%{name}.1.gz

%install
ninja -C build install
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 644 manpage/%{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz

%files
%{_bindir}/wf-recorder*

%doc README.md
%{_mandir}/man1/%{name}.1.gz

%license LICENSE

%changelog
* Wed Feb 12 2020 Bob Hepple <bob.hepple@gmail.com> - 0.2-1
- Initial version of the package
